Get leak report details
Returns the details of a leak report, together with its statistics and metadata.
GET/v1/leaks/{reportId}GETGet leak report detailscurl -X GET "https://api.darkradar.com/api/public/v1/leaks/507f1f77bcf86cd799439011" \ -H "x-api-key: $DARKRADAR_API_KEY"
Response
{
"success": true,
"message": "OK",
"data": {
"report": {
"stats": {
"severities": {
"critical": 0,
"high": 0,
"medium": 0,
"low": 0,
"unknown": 0
},
"leakTypes": {
"domain": 0,
"email": 0,
"username": 0,
"ip": 0,
"hwid": 0,
"application": 0
},
"actionTracking": {
"total": 0,
"acknowledged": 0,
"resolved": 0,
"alerted": 0,
"noAction": 0
},
"totalEvents": 0,
"totalCredentials": 0,
"uniqueCredentials": 0,
"totalMachines": 0,
"uniqueMachines": 0,
"totalRelations": 0,
"uniqueRelations": 0,
"employees": 0,
"customers": 0,
"uniqueEmployees": 0,
"uniqueCustomers": 0
},
"reportData": null,
"eventTimeline": null,
"protectionResourceBreakdown": null,
"credentialsData": null,
"passwordData": null,
"stealerData": null,
"antivirusData": null,
"_id": "64b1f0c2a9e4d21f8c3b9003",
"firm": "64b1f0c2a9e4d21f8c3b9004",
"metadata": {},
"createdAt": "2026-09-18T12:51:32.944Z",
"endDate": "2026-09-18T14:54:04.834Z",
"protectionResourceGroupId": null,
"startDate": "2026-08-19T14:54:04.834Z",
"status": "completed",
"updatedAt": "2026-09-18T14:54:04.834Z"
}
}
}Path parameters
| Fields | Values |
|---|---|
reportId · string · required | Unique identifier of the leak report · Example: 507f1f77bcf86cd799439011 |
Responses
200Success400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Rate limit500 requests per 15 min · per IP